Name:           lsp4j
Version:        0.9.0
Release:        1%{?dist}
Summary:        Java binding for the Language Server Protocol

# Eclipse Distribution License is a BSD-3-clause license
License:        EPL-2.0 or BSD
URL:            https://github.com/eclipse/%{name}
Source0:        https://github.com/eclipse/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

# Custom aggregator POM and POMs from maven central since this is a gradle-built project
# and we don't have gradle available in Fedora
Source10:       aggregator.pom
Source11:       https://repo1.maven.org/maven2/org/eclipse/lsp4j/org.eclipse.lsp4j/%{version}/org.eclipse.lsp4j-%{version}.pom
Source12:       https://repo1.maven.org/maven2/org/eclipse/lsp4j/org.eclipse.lsp4j.debug/%{version}/org.eclipse.lsp4j.debug-%{version}.pom
Source13:       https://repo1.maven.org/maven2/org/eclipse/lsp4j/org.eclipse.lsp4j.generator/%{version}/org.eclipse.lsp4j.generator-%{version}.pom
Source14:       https://repo1.maven.org/maven2/org/eclipse/lsp4j/org.eclipse.lsp4j.jsonrpc.debug/%{version}/org.eclipse.lsp4j.jsonrpc.debug-%{version}.pom
Source15:       https://repo1.maven.org/maven2/org/eclipse/lsp4j/org.eclipse.lsp4j.jsonrpc/%{version}/org.eclipse.lsp4j.jsonrpc-%{version}.pom

BuildArch: noarch

BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.gson:gson)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.eclipse.xtend:org.eclipse.xtend.lib)

%description
Java binding for the Language Server Protocol and the Debug Adapter Protocol.

%package javadoc
Summary: API documentation for %{name}

%description javadoc
%{summary}.

%prep
%setup -q

cp -p %{SOURCE10} pom.xml
cp -p %{SOURCE11} org.eclipse.lsp4j/pom.xml
cp -p %{SOURCE12} org.eclipse.lsp4j.debug/pom.xml
cp -p %{SOURCE13} org.eclipse.lsp4j.generator/pom.xml
cp -p %{SOURCE14} org.eclipse.lsp4j.jsonrpc.debug/pom.xml
cp -p %{SOURCE15} org.eclipse.lsp4j.jsonrpc/pom.xml

for pom in org.eclipse.*/pom.xml ; do
  # Set parent to aggregator pom
  %pom_xpath_inject pom:project "<parent><groupId>%{name}</groupId><artifactId>aggregator</artifactId><version>1.0.0</version></parent>" $pom
done

# Remove test we can't run due to missing xtext-gradle-plugin
rm ./org.eclipse.lsp4j/src/test/java/org/eclipse/lsp4j/test/services/ValidationTest.java

# No need to install the aggregator pom
%mvn_package :aggregator __noinstall

%build
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Thu Aug 27 2020 Mat Booth <mat.booth@redhat.com> - 0.9.0-1
- Initial packaging of lsp4j

